Module | Bio::Blast::Remote::GenomeNet
In: | lib/bio/appl/blast/genomenet.rb

## Description

The Bio::Blast::Remote::GenomeNet class contains methods for running remote BLAST searches on GenomeNet (blast.genome.jp/).

## Usage

      require 'bio'

      # To run an actual BLAST analysis:
      #   1. create a BLAST factory
      blast_factory = Bio::Blast.remote('blastp', 'nr-aa',
                                        '-e 0.0001', 'genomenet')
      #or:
      blast_factory = Bio::Blast::Remote.genomenet('blastp', 'nr-aa',
                                                   '-e 0.0001')

      #   2. run the actual BLAST by querying the factory
      report = blast_factory.query(sequence_text)

      # Then, to parse the report, see Bio::Blast::Report

### Available databases for Bio::Blast::Remote::GenomeNet

Up-to-date available databases can be obtained by using Bio::Blast::Remote::GenomeNet.databases(program). Short descriptions of databases

     ----------+-------+---------------------------------------------------
      program  | query | db (supported in GenomeNet)
     ----------+-------+---------------------------------------------------
      blastp   | AA    | nr-aa, genes, vgenes.pep, swissprot, swissprot-upd,
     ----------+-------+ pir, prf, pdbstr
      blastx   | NA    |
     ----------+-------+---------------------------------------------------
      blastn   | NA    | nr-nt, genbank-nonst, gbnonst-upd, dbest, dbgss,
     ----------+-------+ htgs, dbsts, embl-nonst, embnonst-upd, epd,
      tblastn  | AA    | genes-nt, genome, vgenes.nuc
     ----------+-------+---------------------------------------------------

### BLAST options

Options are basically the same as those of the blastall command in NCBI BLAST. See www.genome.jp/tools-bin/show_man?blast2

## See also

- Bio::Blast
- Bio::Blast::Report
- Bio::Blast::Report::Hit
- Bio::Blast::Report::Hsp

## References

- www.ncbi.nlm.nih.gov/blast/
- www.ncbi.nlm.nih.gov/Education/BLASTinfo/similarity.html
- www.genome.jp/tools/blast/

### Methods

new

### Classes and Modules

Module Bio::Blast::Remote::GenomeNet::Information

### Constants

Host | = | "www.genome.jp".freeze

### Public Class methods

new(program, db, options = [])

Creates a remote BLAST factory using GenomeNet. Returns Bio::Blast object.

Note for future improvement: In the future, it might return Bio::Blast::Remote::GenomeNet or other object.

[Source]

        # File lib/bio/appl/blast/genomenet.rb, line 87
    87:     def self.new(program, db, options = [])
    88:       Bio::Blast.new(program, db, options, 'genomenet')
    89:     end

[Validate]